# Global

##

### Members

#### $.oPoint#polarCoordinates an object containing {angle (float), radius (float)} values that represents polar coordinates (angle in radians) for the point's x and y value (z not yet supported)

### Methods

#### oh_anim_smartKey()

tools/OpenHarmony_basic/openHarmony_anim_tools.js, line 17
  Smart key button. Only adds a key if a column already exists. Maintains sections that are tweens and other sections that are stop-motion/holds.

#### oh_rigging_addBackdropToSelected()

tools/OpenHarmony_basic/openHarmony_rigging_tools.js, line 141
  Adds a backdrop with specified color, to selected nodes in the node-view.

#### oh_rigging_addCenterWeightedPeg()

tools/OpenHarmony_basic/openHarmony_rigging_tools.js, line 91
  Adds a peg with a pivot at the center of the selected drawings module(s).

#### oh_rigging_removeUnnecesaryPaletteFiles()

tools/OpenHarmony_basic/openHarmony_rigging_tools.js, line 17
  Finds and removes all unnecessary asset files from the filesystem.

#### oh_rigging_setSelectedPegPivotWithClick()

tools/OpenHarmony_basic/openHarmony_rigging_tools.js, line 380
  Sets the peg's pivot based on a clicked position in the interface.